std::__atomic_base< _PTp * > Struct Template Reference

## Public Member Functions

constexpr | __atomic_base (__pointer_type __p) noexcept
| __atomic_base (const __atomic_base &)=delete
bool | compare_exchange_strong (__pointer_type &__p1, __pointer_type __p2, memory_order __m1, memory_order __m2) noexcept
bool | compare_exchange_strong (__pointer_type &__p1, __pointer_type __p2, memory_order __m1, memory_order __m2) volatile noexcept
bool | compare_exchange_weak (__pointer_type &__p1, __pointer_type __p2, memory_order __m1, memory_order __m2) noexcept
bool | compare_exchange_weak (__pointer_type &__p1, __pointer_type __p2, memory_order __m1, memory_order __m2) volatile noexcept
__pointer_type | exchange (__pointer_type __p, memory_order __m=memory_order_seq_cst) noexcept
__pointer_type | exchange (__pointer_type __p, memory_order __m=memory_order_seq_cst) volatile noexcept
__pointer_type | fetch_add (ptrdiff_t __d, memory_order __m=memory_order_seq_cst) noexcept
__pointer_type | fetch_add (ptrdiff_t __d, memory_order __m=memory_order_seq_cst) volatile noexcept
__pointer_type | fetch_sub (ptrdiff_t __d, memory_order __m=memory_order_seq_cst) noexcept
__pointer_type | fetch_sub (ptrdiff_t __d, memory_order __m=memory_order_seq_cst) volatile noexcept
bool | is_lock_free () const noexcept
bool | is_lock_free () const volatile noexcept
__pointer_type | load (memory_order __m=memory_order_seq_cst) const noexcept
__pointer_type | load (memory_order __m=memory_order_seq_cst) const volatile noexcept
void | notify_all () const noexcept
void | notify_one () const noexcept
| operator __pointer_type () const noexcept
| operator __pointer_type () const volatile noexcept
__pointer_type | operator++ () noexcept
__pointer_type | operator++ () volatile noexcept
__pointer_type | operator++ (int) noexcept
__pointer_type | operator++ (int) volatile noexcept
__pointer_type | operator+= (ptrdiff_t __d) noexcept
__pointer_type | operator+= (ptrdiff_t __d) volatile noexcept
__pointer_type | operator-- () noexcept
__pointer_type | operator-- () volatile noexcept
__pointer_type | operator-- (int) noexcept
__pointer_type | operator-- (int) volatile noexcept
__pointer_type | operator-= (ptrdiff_t __d) noexcept
__pointer_type | operator-= (ptrdiff_t __d) volatile noexcept
__pointer_type | operator= (__pointer_type __p) noexcept
__pointer_type | operator= (__pointer_type __p) volatile noexcept
__atomic_base & | operator= (const __atomic_base &) volatile=delete
__atomic_base & | operator= (const __atomic_base &)=delete
void | store (__pointer_type __p, memory_order __m=memory_order_seq_cst) noexcept
void | store (__pointer_type __p, memory_order __m=memory_order_seq_cst) volatile noexcept
void | wait (__pointer_type __old, memory_order __m=memory_order_seq_cst) const noexcept

## Detailed Description

### template<typename _PTp>
struct std::__atomic_base< _PTp * >

Partial specialization for pointer types.

Definition at line 669 of file atomic_base.h.

The documentation for this struct was generated from the following file:

- atomic_base.h